import 'package:flutter/material.dart';

class MyColors {
  static const Color darkPrimaryColor = Color(0xffF47F20);
  static const Color primaryColor = Color(0xffF69521);
  static const Color accentColor = Colors.blue;
  static const Color lightTextColor = Color(0xff969696);
  static const Color textColor = Color(0xff777777);
  static const Color darkTextColor = Color(0xff28323A);
  static const Color textFieldColor = Color(0xffF3F5F7);
  static const Color darkIconColor = Color(0xff28323A);
  static const Color lightIconColor = Color(0xff767676);
  static const Color normalTextColor = Color(0xff5A5A5A);
  static const Color gradiantStartColor = Color(0xff33c0a5);
  static const Color gradiantEndColor = Color(0xff259db7);
  static const Color textMixColor = Color(0xff2BB8A6);
  static const Color backgroundColor = Color(0xffF8F8F8);
  static const Color grey57Color = Color(0xff575757);
  static const Color grey77Color = Color(0xff777777);
  static const Color grey70Color = Color(0xff707070);
  static const Color greyACColor = Color(0xffACACAC);
  static const Color greyShadowColor = Color(0xFFE8E7E7);
  static const Color grey98Color = Color(0xff989898);
  static const Color lightGreyEFColor = Color(0xffEFEFEF);
  static const Color lightGreyEDColor = Color(0xffEDEDED);
  static const Color lightGreyEAColor = Color(0xffEAEAEA);
  static const Color darkWhiteColor = Color(0xffE0E0E0);
  static const Color redColor = Color(0xffD02127);
  static const Color yellowColor = Color(0xffF4E31C);
  static const Color backgroundBlackColor = Color(0xff202529);
  static const Color black = Color(0xff000000);
  static const Color white = Color(0xffffffff);
  static const Color green = Color(0xffffffff);
  static const Color borderColor = Color(0xffE8E8E8);

  static Decoration gradient = BoxDecoration(
    gradient: const LinearGradient(colors: [
      darkPrimaryColor,
      primaryColor,
    ]),
    boxShadow: [
      BoxShadow(
        color: primaryColor.withOpacity(0.5),
        blurRadius: 20.0,
        spreadRadius: 1.0,
      )
    ],
  );

  static Decoration gradientButton = BoxDecoration(
    gradient: const LinearGradient(colors: [
      darkPrimaryColor,
      primaryColor,
    ]),
    borderRadius: BorderRadius.circular(6),
    boxShadow: [
      BoxShadow(
        color: primaryColor.withOpacity(0.2),
        blurRadius: 4.0,
        spreadRadius: 0.5,
      )
    ],
  );
}

const Color primaryColor = Colors.white;
const Color accentColor = Colors.blue;
const Color appBackgroundColor = Colors.white;
Color? accentColorDark = Colors.green[800];
const Color borderColor = Colors.blueGrey;
Color? borderLightColor = Colors.blueGrey[50];
const Color iconColor = Colors.blueGrey;
Color? headingColor = Colors.blueGrey[800];
Color? txtColor = Colors.blueGrey[500];

